package trip.model;

public abstract class JavaRelationship {

	public JavaRelationship(JavaType source, JavaType target) {
		this.sourceType = source;
		this.targetType = target;
	}
	
	public JavaComponent getSourceComponent() {
		return sourceType;
	}
	public JavaComponent getTargetComponent() {
		return targetType;
	}
	protected JavaComponent sourceType;
	protected JavaComponent targetType;
}
