package trip.model;

import java.util.Collection;
import java.util.Collections;
import java.util.List;

public abstract class JavaLeafComponent extends JavaComponent {
	
	@Override
	protected boolean addChild(JavaComponent component) {
		return false;
	}
	
	@Override
	protected boolean removeChild(JavaComponent component) {
		return false;
	}
	
	@Override
	public Collection<JavaComponent> getChildren() {
		List<JavaComponent> l = Collections.emptyList();
		return Collections.unmodifiableCollection(l);
	}
}
